<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%------------------------------------------------------------------------------
 - Licensed Materials - Property of IBM
 - 
 - (C) Copyright IBM Corporation 2006. All Rights Reserved.
 - Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure
 - restricted by GSA ADP  Schedule Contract with IBM Corp.
  -----------------------------------------------------------------------------%>
<%--
 -  $$RCSfile: submitAssetInfo.jsp,v $$
 -  $$Revision: 1.16 $$  $$Date: 2007/05/04 21:39:16 $$
 --%>
<%-- jsf:pagecode language="java" location="/JavaSource/com/ibm/ram/repository/web/upload/SubmitAssetHandler.java" --%><%-- /jsf:pagecode --%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/rte" prefix="r"%>
<%@ taglib uri="http://www.ibm.com/ram/repository/tags" prefix="ram"%>
<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<html>
<head>
	<%@include file="/theme/metaHeader.jspf"%>
	
	<%@include file="/theme/css.jspf"%>
	<link rel="csh" href="${applicationScope.cshPath}">
	<title>${submitAssetHandler.submitOrUpdateTitle}</title>
	
	<%-- Dojo layer imports  --%>
	${submitAssetHandler.JSLayers['ram/layers/OSLCLinks']}
	${submitAssetHandler.JSLayers['ram/layers/AssetEditor']}
	
	<%-- For Defect 4963 --%>
	<script language="JavaScript" type="text/javascript" src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/js/ComplexExpressionField.js"></script>
	<script language="JavaScript" type="text/javascript" src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/js/ComplexExpressionParser.js"></script>
	<script language="JavaScript" type="text/javascript" src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/js/submit.js"></script>
	<script language="JavaScript" type="text/javascript" src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/ckeditor/ckeditor.js"></script>
	<script src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/js/categorize_tree.js"></script>
	<script src="${pageContext.request.contextPath}/${applicationScope.javascriptPath}/js/lifecycle_visualization.js"></script>
	
	<script><!--
		function setDateAttribute(widgetId, date) {
			if (parseAttrDeferred) {
				parseAttrDeferred.then(function() {
					var w = dijit.byId(widgetId);
					if (w)
						w.attr('value', dojo.date.stamp.fromISOString(date));			
				});
			} else {
				var w = dijit.byId(widgetId);
				if (w)
					w.attr('value', dojo.date.stamp.fromISOString(date));			
			}
		}

		function setDateAttributeHiddenInput(hiddenInputId, widgetId) {
			var hiddenInput = dojo.byId(hiddenInputId);
			var widget = dijit.byId(widgetId);
			if (hiddenInput && widget) {
				var value = widget.get('value');
				if (value)
					hiddenInput.value = dojo.date.stamp.toISOString(value, {selector: 'date'});
				else 
					hiddenInput.value = '';
			}
		}

		var parseAttrDeferred;
		function attributesAboutToRefresh() {
			parseAttrDeferred = new dojo.Deferred();
			dojo.forEach(dijit.findWidgets(dojo.byId('assetUploadForm:attributeFilters')), function(w) {
			    w.destroyRecursive(true);
			});
		}

		function parseDojoAttributes() {
			parseDojo('assetUploadForm:attributeFilters');
			if (parseAttrDeferred) {
				parseAttrDeferred.resolve();
				parseAttrDeferred = null;
			}
		}
		
		function fireOnclickEvent(obj) {
			if (obj) {
				if (document.createEvent) {
					var evObj = document.createEvent('MouseEvents');
					evObj.initEvent('click', true, false);
					obj.dispatchEvent(evObj);
				} else if (document.createEventObject) {
					obj.fireEvent('onclick');
				}
			}
		}
	--></script>
	
</head>
<f:view>
	<%-- The following is the way we provide the arguments from this page, to the
	   "includes/artifacts.jspf" --%>
	<f:attribute name="artifacts" value='#{submitAssetHandler.submitAssetFile.artifacts}'/>
	<f:attribute name="updateTags" value="true"/>	
	<f:attribute name="param1" value='#{submitAssetHandler.submitAssetFile.artifactParam1}'/> 
	<f:attribute name="param2" value='#{submitAssetHandler.submitAssetFile.artifactParam2}'/>
	<f:attribute name="searchableContents" value="#{submitAssetHandler.submitAssetFile.searchableContents}" />
	
	<body class="ram" onload="showCurrentTabByNumber();">
	<hx:scriptCollector id="scriptCollector1">
		<%-- This will remove the white space on the submit wizard, but adds a random dupid - 31143: Duplicate id exception in submit wizard
		<hx:jspPanel id="dontRenderRightMenuPanel" rendered="#{loginUser.user.anonymous or submitAssetHandler.updateMode or submitAssetHandler.createNewVersionMode or empty submitAssetHandler.myAssets.assetList}">
			<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/theme/custom/css/hideRightColumn.css">
		</hx:jspPanel>
		 --%>
	
	<script type="text/javascript" language="javascript">
		// the pageLocale is used by the applet in checkJava() in submit.js
		var pageLocale = "${pageContext.response.locale}";
		var container;
		
		function trim(stringToTrim) {
			return stringToTrim.replace(/^\s+|\s+$/g,"");
		}

		function isValidSubmitId() {
			var isValid = true;
			dojo.xhrGet({
				url: getAbsoluteUrl('internal/service/SubmitAssetHandlerService.isValidSubmitId?submitId=' + dojo.byId('assetUploadForm:hiddenSubmitId').value),
				sync: true,
				load: function(response) {
					if (response == 'invalid') { 
						isValid = false;
					}
				}
			});
			if (isValid == false) {
				if (dojo.byId('submitIdErrorMessage') == null) {
					var html = new StringBuffer('<div id="submitIdErrorMessage" class="errorBlock" style="margin-left: 15px"><div class="body"><div class="message"><span>');
					html.append('${bundle.SubmitEditor_session_invalidated}');
					html.append('</span>');
					html.append('<a style="margin-left: 5px;" href="');
					html.append(dojo.byId('assetUploadForm:refererURL').value);
					html.append('">${bundle.button_cancel}</a>');
					html.append('</div></div></div>');
					dojo.place(html.toString(), dojo.byId('contentColumn'), 'first');
					if (dojo.byId('submit-asset-buttons-top') != null)
						dojo.byId('submit-asset-buttons-top').setAttribute('style', "display:none");
					if (dojo.byId('submit-asset-buttons-bottom') != null)
						dojo.byId('submit-asset-buttons-bottom').setAttribute('style', "display:none");
				}
			}
			return isValid;
		}
				
		function getNameFromPath(strFilepath) {
			var objRE = new RegExp(/([^\/\\]+)$/);
			var strName = objRE.exec(strFilepath.value);
			
			if (strName == null) {
				return null;
			} else {
				return strName[0];
			}
		}

		function createRow(localDoc, label, value) {
			var r1 = localDoc.createElement('tr');
			var c1 = localDoc.createElement('td');
			c1.appendChild(localDoc.createTextNode(label));
			var c2 = localDoc.createElement('td');
			c2.appendChild(localDoc.createTextNode(value));
			r1.appendChild(c1);
			r1.appendChild(c2);
			return r1;
		}

		function showSubmitWaitDialog() {
			var dhtml = "";
			dhtml += "<div>";
			dhtml += "<div>";
			dhtml += "${bundle.submit_wiz_submit_wait_text}";
			dhtml += "</div>";
			dhtml += "</div>";
			createDialog("submitWaitDialog", "${bundle.submit_wiz_submit_header_wait_text}", dhtml, true);
			handleSubmissionTimeout();
		}

		function showUpdateWaitDialog() {
			var dhtml = "";
			dhtml += "<div>";
			dhtml += "<div>";
			dhtml += "${bundle.submit_wiz_update_wait_text}";
			dhtml += "</div>";
			dhtml += "</div>";
			createDialog("updateWaitDialog", "${bundle.submit_wiz_update_header_wait_text}", dhtml, true);
			handleSubmissionTimeout();
		}

		function showNewVersionDialog() {
			var dhtml = "";
			dhtml += "<div style=\"width: 350px;\">";
			dhtml += "<div>${bundle.submit_wiz_version_change_text}</div>";
			dhtml += "<SPAN class=\"dialogActionGroup\">";
			dhtml += "<input class=\"commandExButton\" type=\"button\" onclick=\"dijit.byId('versionChangeDialog').hide(); showSubmitWaitDialog(); dojo.byId('assetUploadForm:submitCreateNewButton').click();\" value=\"${bundle.button_create_new_asset}\" />";
			dhtml += "<input class=\"commandExButton\" type=\"button\" onclick=\"dijit.byId('versionChangeDialog').hide(); showUpdateCommentDialog();\" value=\"${bundle.button_replace_asset}\" />";
			dhtml += "<input class=\"commandExButton\" type=\"button\" onclick=\"dijit.byId('versionChangeDialog').hide();\" value=\"${bundle.button_cancel}\"  />";
			dhtml += "</span>";
			dhtml += "</div>";
			createDialog("versionChangeDialog", "${bundle.dialogTitle_submit_version_change}", dhtml, true, "versionChangeDialog");
		}
		
		function editInputCommentsLength() {
				var editor = dojo.byId("commentInputTextArea");
				var commentVlaue = dojo.trim(editor.value);
				var editValues = (commentVlaue.length > 0) ? [false,"commandExButton", "commandExButton_disabled" ] : [true,"commandExButton_disabled", "commandExButton" ];
				dojo.attr("commentInputButton", "disabled", editValues[0]);
				dojo.replaceClass("commentInputButton", editValues[1], editValues[2]);
		}
		
		function showUpdateCommentDialog() {
			var dhtml = "";
			var commentFlag = false;
			//commentFlag = ${submitAssetHandler.bestMatchLifecycle.restrictCommentRequired.value};
			commentFlag = ${submitAssetHandler.commentsRequired};
			dhtml += "<div style=\"width: 350px;\">";
			dhtml += "<div>";
			dhtml += "${bundle.submit_wiz_update_comment_text}";
			if(commentFlag == true) dhtml += "<span class=\"required\">*</span> ";
			dhtml += "</div>";
			if(commentFlag == true) {
				dhtml += "<textarea id=\"commentInputTextArea\" style=\"WIDTH: 99%\" rows=\"5\" onkeyup=\"editInputCommentsLength();\"></TEXTAREA>";	
			} else {
				dhtml += "<textarea id=\"commentInputTextArea\" style=\"WIDTH: 99%\" rows=\"5\"></TEXTAREA>";
			}
			dhtml += "<SPAN class=\"dialogActionGroup\">";
			if(commentFlag == true) {
				dhtml += "<input id=\"commentInputButton\" class=\"commandExButton_disabled\" disabled =\"\" type=\"button\" onclick=\"setHiddenField('assetUploadForm:commentInputTextArea', dojo.byId('commentInputTextArea').value); dijit.byId('updateCommentDialog').hide(); showUpdateWaitDialog(); dojo.byId('assetUploadForm:finish_submit_comment_button').click();\" value=\"${bundle.button_update}\" />";
			} else {
				dhtml += "<input id=\"commentInputButton\" class=\"commandExButton\" type=\"button\" onclick=\"setHiddenField('assetUploadForm:commentInputTextArea', dojo.byId('commentInputTextArea').value); dijit.byId('updateCommentDialog').hide(); showUpdateWaitDialog(); dojo.byId('assetUploadForm:finish_submit_comment_button').click();\" value=\"${bundle.button_update}\" />";	
			}
			dhtml += "<input class=\"commandExButton\" type=\"button\" onclick=\"dijit.byId('updateCommentDialog').hide();dojo.query('applet').style('visibility','visible');\" value=\"${bundle.button_cancel}\"  />";
			dhtml += "</span>";
			dhtml += "</div>";
			createDialog("updateCommentDialog", "${bundle.dialogTitle_submit_update_comments}", dhtml, true, "updateCommentDialog");
		}
		
		var uploadInline = false;
		function handleSubmissionTimeout() {
			if(!uploadInline) {
				setTimeout('showPendingSubmissionPage()', 120000);
			} 
		}
		function showPendingSubmissionPage() {
			var guid = '${submitAssetHandler.submitAssetGuid}';
			var version = document.getElementById('assetUploadForm:assetVersionInputText').value;
			location.replace(getBaseUrl() + "submit/pending.jsp?guid=" + guid + "&v=" + version);
		}
		function setUploadInline() {
			uploadInline = true;
		}
		function addFileLink(){
			// start with 1 because fileArtifact (the 0th one is always visible
			for(i = 1;;i++){
		    	var newFileArtifact = document.getElementById('assetUploadForm:fileArtifact'+i);
				if(newFileArtifact){
					var style = newFileArtifact.style.display;
					if("none" == style){
						newFileArtifact.style.display = 'block';
						break;
					}
				} else
					break;
		    }
		}
		dojo.addOnLoad(hideMoreAttributesTable);
		dojo.addOnLoad(function() {
			initCKEditor('assetUploadForm:descriptionRTE');
			dojo.connect(dojo.body(), 'onkeypress', function(event) {
				if (event.keyCode == dojo.keys.ENTER)
					dojo.stopEvent(event);
			});
		});
	</script>

	<style type="text/css">
		.formTable {
			width: 700px;
		}
		
		.longField {
			width: 650px;
		}
	</style>
	
	<%@ include file="/theme/header.jspf" %>
		

		<ram:form id="assetUploadForm">
			
			<div id="rightColumn">
				<div class="inside">
					<ram:panelSectionEx id="myAssetsSection" styleClass="ram-section asset-section submit-section" initClosed="false" collapseable="false"
						rendered="#{not loginUser.user.anonymous and not submitAssetHandler.updateMode and not submitAssetHandler.createNewVersionMode and not empty submitAssetHandler.myAssets.assetList}">
						<f:facet name="opened">
							<h:panelGroup id="myAssets">
								<h:outputText id="myAssetsOpenedHeaderTxt" value="#{bundle.section_submit_like}" />
							</h:panelGroup>		
						</f:facet>
						<hx:dataTableEx id="myAssetsTable" value="#{submitAssetHandler.myAssets.assetList}" var="assets"
							rows="10" border="0" width="100%" styleClass="listTable fixed" columnClasses="compact-rendering,noClass">
							<hx:columnEx id="myAssetsName" style="white-space: nowrap;">
								<ram:resourceRequestLink id="myAssetLink" action="#{submitAssetHandler.doSubmitLikeThisAction}" title="#{assets.name}" value="#{assets.name}" 
									uri="#{assets.resourceURI}">
									<f:param id="guidParam3" name="guid" value="#{assets.id}"></f:param>
									<f:param id="vParam3" name="v" value="#{assets.version}"></f:param>
									<f:param id="sParam3" name="submission" value="#{assets.submissionAsset}"></f:param>
								</ram:resourceRequestLink>
							</hx:columnEx>
							<hx:columnEx id="myAssetsAction" style="text-align: center" width="21">
								<hx:requestLink id="duplicateLink" action="#{submitAssetHandler.doSubmitLikeThisAction}">
									<hx:graphicImageEx id="duplicateImage" value="/theme/images/icons/elcl16/apply.gif" alt="#{bundle.alt_use_template}" title="#{bundle.alt_use_template}" style="padding-left: 5px;" />
									<f:param id="dupLinkGuidParam" name="guid" value="#{assets.id}" />
									<f:param id="dupLinkVParam" name="v" value="#{assets.version}" />
									<f:param id="dupLinkSParam" name="submission" value="#{assets.submissionAsset}" />
								</hx:requestLink>
							</hx:columnEx>
						</hx:dataTableEx>
					</ram:panelSectionEx>
					
					<div id="suggestedRelationships"></div>
					
				</div>
			</div>
			<div id="contentColumn">
			<div class="inside">
				<!-- Buttons -->
				<div class="primaryActionGroup_float_top" id="submit-asset-buttons-top">
						
				<!-- Submit buttons for version change dialog and review option buttons -->
				<!-- Lifecycle create new asset -->
					<h:panelGroup id="topSubmitButtonPanel">
						<h:panelGroup id="lifecycleChoicePannel_CONTENT" styleClass="lifecycleBlock">
							<h:outputText id="lifecycleLabel" value="#{bundle.label_lifecycle}" styleClass="label" ></h:outputText>
							<h:commandLink id="bestMatchLifecycleLink" style="padding-left: 4px" rendered="#{not empty submitAssetHandler.bestMatchLifecycle and not empty submitAssetHandler.bestMatchLifecycle.identifier}"
								onmouseup="openLifecycleVisualizationWindow('#{submitAssetHandler.serverBasePath}', '#{submitAssetHandler.bestMatchLifecycle.identifier}', '#{submitAssetHandler.submitAssetInfo.group.id}')">
								<h:outputText id="bestMatchLifecycleLinkText" value="#{submitAssetHandler.bestMatchLifecycle.name}" />
							</h:commandLink>
							<h:outputText id="nonLifecycleText" value="#{submitAssetHandler.bestMatchLifecycle.name}" rendered="#{not empty submitAssetHandler.bestMatchLifecycle and empty submitAssetHandler.bestMatchLifecycle.identifier}" style="padding-left: 4px"></h:outputText>
						</h:panelGroup>
						<hx:commandExButton type="submit"
							value="#{submitAssetHandler.saveButtonLabel}"
							id="topSaveButton" rendered="#{not submitAssetHandler.updateMode}"
							styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif"
							action="#{submitAssetHandler.doFinishAction}">
							<hx:behavior id="topSaveShowBusyBehavior" event="onclick" onActionFunction="if (isValidSubmitId()) {showSubmitWaitDialog();saveRelatedAssets();} else {return false;}" />
						</hx:commandExButton>
					</h:panelGroup>
					<hx:ajaxRefreshSubmit id="ajaxrefreshTopSubmitButtonPanel" onstart="return isValidSubmitId();" target="topSubmitButtonPanel"/>

				<!-- Update only, no new review options (may already be in review/as-is) -->
					<hx:behavior id="topUniqueBehaviorId4" target="topFinish_submit_update" event="onclick" onActionFunction="if (isValidSubmitId()) {return checkIfVersionChanged(this, event);} else {return false;}" >
					</hx:behavior>
					<hx:commandExButton type="button"
							value="#{bundle.button_update}"
							rendered="#{submitAssetHandler.updateMode}"
							id="topFinish_submit_update"
							styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif">
					</hx:commandExButton>
					
				<!-- Update only, version change, no review options -->
					
				<!-- Cancel button -->
					<hx:commandExButton type="submit" value="#{bundle.button_cancel}"
						styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif" id="topCancel_submit_asset"
						action="#{submitAssetHandler.doCancelAction}">
						<hx:behavior id="topCancelShowBusyBehavior" event="onclick" onActionFunction="return isValidSubmitId();" />
					</hx:commandExButton>
				</div>
			
				<ram:infopop id="pageHelp" for="submitorupdateLbl" styleClass="pageHelp"
					image="/theme/images/icons/obj16/info_indicator.gif" contextId="sbds0001" />
				
				<h1>
					<h:outputText id="submitorupdateLbl" value="#{submitAssetHandler.submitOrUpdateName}" />
				</h1>
								
				<h:inputHidden id="hiddenURL" value="#{submitAssetHandler.hiddenURL}"></h:inputHidden>
				<h:inputHidden id="originVersion" value="#{submitAssetHandler.submitAssetInfo.assetModifyVersion}" />
				<h:inputHidden id="hiddenSubmitId" value="#{pc_Submission.hiddenSubmitId}" immediate="true" validator="#{pc_Submission.validateSubmitId}"></h:inputHidden>
				<h:outputLink id="refererURL" style="display:none;" value="#{pc_Submission.refererURL}"  />
			<table class="formTable">
				<tbody>
					<tr>
						<td class="label"><label
							for="assetUploadForm:assetNameInputText">${bundle.label_name}</label>
							<span class="required">*</span>
						</td>
						<td class="input" colspan="2">
							<h:inputText styleClass="shortField" id="assetNameInputText"
								value="#{submitAssetHandler.submitAssetInfo.assetName}">
							</h:inputText>
							<h:outputText id="outputText1" value=" * #{submitAssetHandler.submitAssetInfo.fieldErrors.nameError}"
								style="color: red" rendered="#{submitAssetHandler.submitAssetInfo.displayErrors && not empty submitAssetHandler.submitAssetInfo.fieldErrors.nameError}">
							</h:outputText>
						</td>
					</tr>
					<tr>
						<td class="label"><label
							for="assetUploadForm:assetVersionInputText">${bundle.label_version}</label>
							<span class="required">*</span>
						</td>
						<td class="input" colspan="2"><h:inputText
							styleClass="shortField" id="assetVersionInputText"
							value="#{submitAssetHandler.submitAssetInfo.assetVersion}"
							onchange="validateVersion(this);">
						</h:inputText> <h:outputText id="versionError"
							value=" * #{submitAssetHandler.submitAssetInfo.fieldErrors.versionError}"
							style="color: red"
							rendered="#{submitAssetHandler.submitAssetInfo.displayErrors && not empty submitAssetHandler.submitAssetInfo.fieldErrors.versionError}">
						</h:outputText> <h:outputText id="versionHelp" styleClass="belowFieldHelp"
							style="display: block;"
							value="#{submitAssetHandler.submitAssetInfo.versionHelp}" />
						<div id="versionWarning" style="display: none;" class="warning">
						<div class="body">
						<div class="message"><h:outputText id="versionWarning"
							value="#{bundle.error_version_format}" /> <h:outputLink
							id="versionHelpLink"
							value="#{applicationScope.docPath}/index.jsp?topic=/com.ibm.ram.doc/topics/r_version_format.html"
							target="_blank">
							<h:outputText id="versionHelpLinkText"
								value="#{bundle.error_version_format_help_link}" />
						</h:outputLink></div>
						</div>
						</div>
						</td>
					</tr>
					<tr>
						<td class="label">
							<label for="assetUploadForm:groupname">${bundle.label_team_space}</label>
							<span class="required">*</span>
						</td>
						<td class="input" colspan="2">
						    <h:panelGroup id="groupPanel">
							<h:selectOneMenu styleClass="shortSelect"
								onmouseover="showCommunityDescription(event)"
								onmouseout="hideCommunityDescription()" id="groupname"
								value="#{submitAssetHandler.submitAssetInfo.group}"
								converter="ram.converter.ResourceGroup">
								<f:selectItems id="selectitems1"
									value="#{submitAssetHandler.submitAssetInfo.groups}" />
								<hx:behavior id="behaviorCommunChg" event="onchange"
									onActionFunction="getAssetTypes();"
									behaviorAction="get;get;get;get;get;get;stop"
									targetAction="groupPanelError;assetTypePanelError;attributeFilters;saveButtonPanel;topSubmitButtonPanel;tabbedcontent" />
							</h:selectOneMenu>
							<h:panelGroup id="groupPanelError">
								<h:outputText id="outputText3"
									value="  * #{submitAssetHandler.submitAssetInfo.fieldErrors.communityError}"
									style="color: red;"
									rendered="#{submitAssetHandler.submitAssetInfo.displayErrors && not empty submitAssetHandler.submitAssetInfo.fieldErrors.communityError}">
								</h:outputText>
							</h:panelGroup>
							<hx:ajaxRefreshSubmit id="ajaxrefreshGroupError" onstart="return isValidSubmitId();" target="groupPanelError"/>
							
							<h:panelGroup id="communityTooltip" styleClass="infopop"
								style="visibility: hidden; position: absolute"></h:panelGroup>
							<h:outputText id="communityDescriptionJS"
								value="#{submitAssetHandler.submitAssetInfo.communityDescriptionJS}"
								escape="false" />
							</h:panelGroup>
						</td>
					</tr>
					<tr>
						<td class="label">
							<label for="assetUploadForm:assetTypes">${bundle.label_type}</label>
							<span class="required">*</span>
						</td>
						<td class="input" colspan="2">
							<h:selectOneMenu onmouseover="showAssetTypeDescription(event)"
								onmouseout="hideAssetTypeDescription()" styleClass="shortSelect"
								id="assetTypes" converter="ram.converter.AssetTypePojo"
								value="#{submitAssetHandler.submitAssetInfo.assetTypeId}">
								<f:selectItems id="selectitems2"
									value="#{submitAssetHandler.submitAssetInfo.assetTypes}" />
								<hx:behavior id="uniqueBehaviorId1" event="onchange"
									behaviorAction="get;get;get;get;get;stop"
									targetAction="attributeFilters;assetTypePanelError;saveButtonPanel;topSubmitButtonPanel;tabbedcontent" />
							</h:selectOneMenu>
							<h:panelGroup id="assetTypePanelError">
								<h:outputText id="selectOnelbl"
									value="  * #{submitAssetHandler.submitAssetInfo.fieldErrors.typeError}"
									style="color: red;"
									rendered="#{submitAssetHandler.submitAssetInfo.displayErrors && not empty submitAssetHandler.submitAssetInfo.fieldErrors.typeError}">
								</h:outputText>
							</h:panelGroup> 
							<hx:ajaxRefreshSubmit id="ajaxrefreshAssetTypes" onstart="return isValidSubmitId();"
								target="assetTypePanelError"/>
							<h:panelGroup id="typeTooltip" styleClass="infopop"
								style="visibility: hidden; position: absolute"></h:panelGroup>
						</td>
					</tr>
					<tr>
						<td class="label">
							<label for="assetUploadForm:shortDescriptionInputText">${bundle.label_short_description}</label>
							<span class="required">*</span>
						</td>
						<td class="input" colspan="2"><h:inputText
							styleClass="shortField" id="shortDescriptionInputText"
							value="#{submitAssetHandler.submitAssetInfo.shortDescription}" />
						<h:outputText id="outputText4"
							value=" * #{submitAssetHandler.submitAssetInfo.fieldErrors.shortDescriptionError}"
							style="color: red"
							rendered="#{submitAssetHandler.submitAssetInfo.displayErrors && not empty submitAssetHandler.submitAssetInfo.fieldErrors.shortDescriptionError}">
						</h:outputText></td>
					</tr>
				</tbody>
			</table>

			<!-- Custom Attributes --> 
			<h:panelGroup id="attributeFilters">
				<h:outputText id="lbl" />
				<h:inputHidden id="currentAttributeURI"
					value="#{submitAssetHandler.submitAssetInfo.currentAttributeURI}"></h:inputHidden>
				<h:inputHidden id="hiddenUserId"
					value="#{submitAssetHandler.submitAssetInfo.currentUser.uid}"></h:inputHidden>
				<h:inputHidden id="hiddenCommunityId"
					value="#{submitAssetHandler.submitAssetInfo.communityId}"></h:inputHidden>
				<h:dataTable styleClass="formTable" border="0" id="attributesTable"
					columnClasses="label,input"
					rendered="#{! empty submitAssetHandler.submitAssetInfo.initCustomAttributes}"
					var="attr"
					value="#{submitAssetHandler.submitAssetInfo.initCustomAttributes}">
					<h:column id="col2">
						<ram:textHoverHelp id="outputText7" value="#{attr.translatedName}" helpContentString="#{attr.description}" />
						<h:outputText id="outputText6" value="*" rendered="#{attr.required}" styleClass="required"></h:outputText>
					</h:column>
					<h:column id="col3">
						<ram:inputAttribute type="#{attr.type}" value="#{attr.attribute}"
							asset="#{submitAssetHandler.assetForUpdate}" id="customAttr" />


						<!-- Dojo Resource attribute -->
						<hx:jspPanel id="attributeResourcePanel"
							rendered="#{attr.type == 'resource'}">
							<h:inputHidden id="attributeAsJson" value="#{attr.asJson}"></h:inputHidden>
							<f:verbatim>
								<div dojoType="ram.resource.List"></div>
							</f:verbatim>
						</hx:jspPanel>

						<h:outputText id="xmlAttributeNoValueMessage"
							value="This attribute value will be set by the XML artifact added to this asset."
							rendered="#{attr.type == 'xml' and empty attr.attributeValue}"></h:outputText>

						<h:outputText id="xmlAttributeValueMessage"
							value="#{attr.attributeValue}"
							rendered="#{attr.type == 'xml' and not empty attr.attributeValue and not attr.multiValued}"
							escape="false"></h:outputText>

						<%--  Multi Value Free Form Value --%>
						<h:dataTable border="0" cellpadding="0" cellspacing="0"
							headerClass="headerClass" footerClass="footerClass"
							styleClass="attributesTable" var="value"
							value="#{attr.attributeValues}" id="attributeValuesTable"
							rendered="#{attr.type == 'xml' and not empty attr.attributeValue and attr.multiValued}">
							<h:column id="attributeValuesColumn">
								<h:outputText id="attributeValueText" styleClass="outputText"
									value="#{value}" escape="false" />
							</h:column>
						</h:dataTable>

						<h:outputText id="msg2" styleClass="errorMessage"
							value="#{attr.errorMessage}"></h:outputText>
					</h:column>
				</h:dataTable>
				
				
				<h:panelGrid id="attributesMoreTable" columns="3" columnClasses="label,input" styleClass="formTable" border="0">
					<h:column id="attrEmptyCol2"></h:column>
					<h:column id="attrCol3">
						<h:outputLink id="moreAttrs" rendered="#{! empty submitAssetHandler.submitAssetInfo.moreCustomAttributes}"
							value="javascript:showMoreAttributes()" styleClass="moreLink" style="#{submitAssetHandler.submitAssetInfo.moreAttrLinkStyle}">
							<h:outputText id="moreAttrsText" value="#{bundle.link_show_more}" />
						</h:outputLink>
						<h:outputLink id="lessAttrs" rendered="#{! empty submitAssetHandler.submitAssetInfo.moreCustomAttributes}"
							value="javascript:showLessAttributes()" styleClass="lessLink" style="#{submitAssetHandler.submitAssetInfo.lessAttrLinkStyle}">
							<h:outputText id="lessAttrsText" value="#{bundle.link_show_less}" />
						</h:outputLink>
					</h:column>
				</h:panelGrid>
				
				<h:dataTable styleClass="formTable" border="0" id="moreAttributesTable"
					columnClasses="label,input"
					rendered="#{! empty submitAssetHandler.submitAssetInfo.moreCustomAttributes}"
					var="attr"
					value="#{submitAssetHandler.submitAssetInfo.moreCustomAttributes}">
					<h:column id="morecol2">
						<ram:textHoverHelp id="omoreutputText7" value="#{attr.name}:" helpContentString="#{attr.description}" />
						<h:outputText id="moreoutputText6" value="*" styleClass="required" rendered="#{attr.required}"></h:outputText>
					</h:column>
					<h:column id="morecol3">
						<ram:inputAttribute type="#{attr.type}" value="#{attr.attribute}"
							asset="#{submitAssetHandler.assetForUpdate}" id="moreCustomAttr" />


						<!-- Dojo Resource attribute -->
						<hx:jspPanel id="moreAttributeResourcePanel"
							rendered="#{attr.type == 'resource'}">
							<h:inputHidden id="moreAttributeAsJson" value="#{attr.asJson}"></h:inputHidden>
							<f:verbatim>
								<div dojoType="ram.resource.List"></div>
							</f:verbatim>
						</hx:jspPanel>

						<h:outputText id="moreXmlAttributeNoValueMessage"
							value="#{bundle.text_xml_attribute_artifacts}"
							rendered="#{attr.type == 'xml' and empty attr.attributeValue}"></h:outputText>

						<h:outputText id="moreXmlAttributeValueMessage"
							value="#{attr.attributeValue}"
							rendered="#{attr.type == 'xml' and not empty attr.attributeValue and not attr.multiValued}"
							escape="false"></h:outputText>

						<%--  Multi Value Free Form Value --%>
						<h:dataTable border="0" cellpadding="0" cellspacing="0"
							headerClass="headerClass" footerClass="footerClass"
							styleClass="attributesTable" var="value"
							value="#{attr.attributeValues}" id="moreAttributeValuesTable"
							rendered="#{attr.type == 'xml' and not empty attr.attributeValue and attr.multiValued}">
							<h:column id="moreAttributeValuesColumn">
								<h:outputText id="moreAttributeValueText" styleClass="outputText"
									value="#{value}" escape="false" />
							</h:column>
						</h:dataTable>

						<h:outputText id="moreMsg2" styleClass="errorMessage"
							value="#{attr.errorMessage}"></h:outputText>
					</h:column>
				</h:dataTable>
			</h:panelGroup> 
			<hx:ajaxRefreshSubmit id="ajaxrefresh" target="attributeFilters" onstart="if (isValidSubmitId()) {attributesAboutToRefresh();} else {return false;}" oncomplete="parseDojoAttributes();hideMoreAttributesTable();" onerror="parseDojoAttributes();hideMoreAttributesTable();" />

			<div id="tabbed-page" style="margin-top: 20px">
			<ul id="submit-tabs">
				<li id="content-tab">
					<a href="javascript:;" onclick="selectTab('content-tab');">
						<span id="contentTabIcon">
							${bundle.navigation_asset_details_content}
						</span>
					</a>
				</li>
				<li id="description-tab">
					<a href="javascript:;" onclick="selectTab('description-tab');">
						<span>${bundle.section_description}</span>
					</a>
				</li>
				<li id="categories-tab">
					<a href="javascript:;" onclick="selectTab('categories-tab');">
						<span>${bundle.section_categories}</span>
					</a>
				</li>
				<li id="rel-tab">
					<a href="javascript:;" id="rel-tab-anchor" onclick="selectTab('rel-tab');">
						<span id="relTabIcon">							
							${bundle.section_related_assets}
						</span>
					</a>
				</li>
			</ul>
			</div>
			
			<div id="submit-loading" style="display: none">
				<h:panelGroup id="loading_tab_animation" style="text-align:center;">
					<h:graphicImage id="animatedBusyIcon"
						value="/theme/images/icon_animated_busy.gif" alt="#{bundle.alt_loading_icon}" />
				</h:panelGroup>
			</div>

			<div id="submit-content" style="display: none">
				<h:inputHidden id="currentPathSimple" value="#{pc_ModifyArtifacts.currentPath}" />
				<hx:jspPanel id="ajaxContentMessagesPanel"><div id="contentAjaxMessages"></div></hx:jspPanel>
				<!-- For non-validation messages (i.e. duplicate folders, empty files) -->
				<ram:messagesEx id="artifactErrorMessages" globalOnly="true"/>
				<h:outputText id="artifactUploadInstructions" value="#{bundle.help_submit_attach_file}" styleClass="sectionInstructions"/>
				<hx:fileupload id="fileArtifact" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[0]}" size="62" onchange="setAssetNameField(getNameFromPath(this));setUploadInline();" style="display: block; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact1" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[1]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact2" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[2]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact3" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[3]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact4" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[4]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact5" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[5]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact6" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[6]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact7" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[7]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact8" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[8]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<hx:fileupload id="fileArtifact9" binding="#{submitAssetHandler.submitAssetFile.newFileArtifactList[9]}" size="62" onchange="setUploadInline();" style="display: none; margin-bottom: 3px;" />
				<h:outputLink id="add-file-link" value="javascript:addFileLink();" styleClass="addValueLink" style="margin-right: 5px;">
					<h:outputText id="add-file-link-text" value="#{bundle.link_add_file}" />
				</h:outputLink>
				<h:outputLink id="advanced-content-link" value="javascript:;" onclick="showCurrentTab('submit-advanced-content');" styleClass="leftDownChevron">
					<hx:behavior id="changeTabBehavior4" event="onclick"
						behaviorAction="get;stop"
						targetAction="tabbedcontent-load-once" />
					<h:outputText id="advanced-content-link-text" value="#{bundle.link_more_options}" />
				</h:outputLink>
				<hx:dataTableEx border="0" id="artifactList" value="#{pc_ModifyArtifacts.currentNodes}" var="node" styleClass="displayTable" 
					width="100%">
					<hx:columnEx id="itemColumn">
						<hx:graphicImageEx id="artifactImg" value="#{node.iconPath}" rendered="#{!node.displayInfopop}" styleClass="iconPrefix" alt="#{node.iconAlt}" />
						<hx:jspPanel id="artifactInfoPopPanel" rendered="#{node.displayInfopop}">
							<ram:infopop id="artifactInfoPop" image="#{node.iconPath}" content="#{node.infopopContent}" styleClass="iconPrefix" /> 
						</hx:jspPanel>
						<hx:outputLinkEx id="artifactLink" target="_blank" value="#{node.link}" style="margin-right: 5px" rendered="#{!node.folder}">
							<h:outputText id="artifactName" value="#{node.name}" />
						</hx:outputLinkEx>
						<hx:outputLinkEx id="artifactCacheLink" target="_blank" value="#{node.cacheFileNode.link}" style="margin-left: 5px; font-style: italic; color:#7777CC;" rendered="#{node.url && node.cacheFileNode != null}">
							<h:outputText id="artifactCacheText" value="#{bundle.link_cache}" />
							<h:outputText id="artifactCacheAgeText" value="#{node.cacheFileNode.creationDate}" style="margin-left: 5px;">
								<f:convertDateTime type="date" dateStyle="short" timeZone="#{pc_ModifyArtifacts.timezone}"/>
							</h:outputText>
						</hx:outputLinkEx>
						<h:outputText id="artifactCacheDeleteSeparator" value=" | "  style="margin-left: 3px; font-style: italic; color:#828282;" rendered="#{node.url && node.cacheFileNode != null}" />
						<h:commandLink id="artifactCacheDeleteLink" action="#{pc_ModifyArtifacts.doRemoveCacheAction}" style="margin-left: 3px; font-style: italic; color:#7777CC;" rendered="#{node.url && node.cacheFileNode != null}">
							<h:outputText id="artifactCacheDeleteText" value="#{bundle.link_cache_delete}" />
							<f:param id="artifactCacheDeleteParam1" name="artifactName" value="#{node.escapedName}" />
							<f:param id="artifactCacheDeleteParam2" name="currentPath" value="#{pc_ModifyArtifacts.currentPath}" />
						</h:commandLink>
						<h:outputText id="nodeName" rendered="#{node.folder}" value="#{node.name}" />
					</hx:columnEx>
					<hx:columnEx id="actionColumn" style="text-align: center; white-space: nowrap; width: 18px">
						<h:commandLink id="removeLink" action="#{pc_ModifyArtifacts.doRemoveAction}">
							<h:graphicImage id="removeIcon" value="/theme/images/icons/etool16/remove-link-user.gif" title="#{bundle.link_delete}" alt="#{bundle.link_delete}" />
							<f:param id="artifactNameParam" name="artifactName" value="#{node.escapedName}" />
							<f:param id="currentPathParam2" name="currentPath" value="#{pc_ModifyArtifacts.currentPath}" />
						</h:commandLink>
					</hx:columnEx>
				</hx:dataTableEx>
			</div>

			<div id="submit-description" style="display: none;">
				<h:inputTextarea id="descriptionRTE" value="#{submitAssetHandler.submitAssetInfo.description}" style="display: none;"></h:inputTextarea>
			</div>
			
			<h:panelGroup id="tabbedcontent-load-once">
				<hx:ajaxRefreshSubmit id="ajaxtabbedcontent2" oncomplete="completeRefreshTabs();" onerror="completeRefreshTabs();"  onstart="if (isValidSubmitId()) {if(shouldAdvancedContentAjax()){startRefreshTabs(); return true;} else return false;} else {return false;}" />
				
				<h:panelGroup id="submit-advanced-content" style="display:none;">
					<h:panelGroup id="submit-advanced-content-renderer" rendered="#{submitAssetHandler.currentTab==4}">
						<hx:jspPanel id="ajaxContentMessagesPanel2"><div id="content2AjaxMessages"></div></hx:jspPanel>
						<!-- For non-validation messages (i.e. duplicate folders, empty files) -->
						<ram:messagesEx id="artifactErrorMessages2" globalOnly="true"/>
						<%@include file="/includes/modifyArtifacts.jspf"%>
					</h:panelGroup>
				</h:panelGroup>
			</h:panelGroup>
			
			<h:panelGroup id="tabbedcontent">
				<hx:ajaxRefreshSubmit id="ajaxtabbedcontent" oncomplete="completeRefreshTabs();parseDojo('assetUploadForm:tabbedcontent');" onstart="if (isValidSubmitId()) {startRefreshTabs();} else {return false;}" />
				
				<hx:jspPanel id="submitCategoriesPanel">
				<div id="submit-categories" style="display: none;">
					<div style="margin-top: 10px">
						<h:panelGroup id="checkBoxGroup" rendered="#{submitAssetHandler.submitAssetClassify.existInvalidCategories}">
							<ram:messagesEx id="invalidCategoryWarning" messages="#{submitAssetHandler.submitAssetClassify.invalidCategoryError}"/>
							<h:selectBooleanCheckbox styleClass="selectBooleanCheckbox"
								id="removeInvalidCategoryCheckBox" value="#{submitAssetHandler.submitAssetClassify.removeInvalidCategory}"
							 >
							</h:selectBooleanCheckbox>  
							<h:outputLabel id="checkBoxLabel" for="removeInvalidCategoryCheckBox"
								value="#{bundle.option_remove_invalid_categories}" />
						</h:panelGroup>
						<h:outputText id="instructCategorize" value="#{bundle.help_submit_section_categories}" styleClass="sectionInstructions"/>
						
						<div id="categoryInputPanel" style="width: 45%; float: left;">
						<h:outputText id="availableCategoriesLabel" styleClass="label" value="#{bundle.label_available_categories}" />
						<div id="categoryInputContainer" class="categoryTreeContainer">
							
						</div>
						</div>
						
						<div id="categoryOutputPanel" style="width: 45%; float: left;">
						<h:outputText id="appliedCategoriesLabel" styleClass="label" value="#{bundle.label_applied_categories}" />
						<div id="categoryOutputContainer" class="categoryTreeContainer">
							<hx:dataIterator id="schemasOutputIt" value="#{submitAssetHandler.submitAssetClassify.appliedSchemas}" var="appliedSchema">
								<ram:outputCategorizationTree id="outputSchemaTree" value="#{appliedSchema}" styleClass="output_categorizeSchemaList" />
							</hx:dataIterator>
						</div>
						</div>
						
						<div style="clear: both;"></div>
					</div>
					<h:inputHidden id="selectedCategories" value="#{submitAssetHandler.submitAssetClassify.schemaUris}" >
						<hx:behavior id="hiddenSelectedCategoriesChange" event="onchange"
									behaviorAction="get;get;stop"
									targetAction="topSubmitButtonPanel;saveButtonPanel"/>
					</h:inputHidden> 
				</div>
				</hx:jspPanel>
	

				<hx:jspPanel id="submitRelatedAssetsPanel">
					<div id="submit-related-assets" style="display: none;">
						<div id="relAjaxMessages"></div>
						
						<div id="addRelationshipButton"></div>
						
						<div id="relationshipTreeDiv"><div id="relationshipTree"></div></div>
				
					</div>
				</hx:jspPanel>
					
				<h:inputHidden id="relatedAssetsJson" value="#{submitAssetHandler.submitAssetRelationship.relatedAssetsJson}" />
				<h:inputHidden id="current-tab-hidden" value="#{submitAssetHandler.currentTab}"></h:inputHidden>
			</h:panelGroup>

			
				<!-- Buttons -->
				<div class="primaryActionGroup" id="submit-asset-buttons-bottom">
					
				<!-- Submit buttons for version change dialog and review option buttons -->
				<!-- Lifecycle create new asset -->
					<h:panelGroup id="saveButtonPanel">
						<hx:commandExButton type="submit"
							value="#{submitAssetHandler.saveButtonLabel}"
							id="saveButton" rendered="#{not submitAssetHandler.updateMode}"
							styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif"
							action="#{submitAssetHandler.doFinishAction}">
							<hx:behavior id="saveShowBusyBehavior" event="onclick" onActionFunction="if (isValidSubmitId()) {showSubmitWaitDialog();saveRelatedAssets();} else {return false;}" />
						</hx:commandExButton>
					</h:panelGroup>
					<hx:ajaxRefreshSubmit id="ajaxrefreshSaveButtonPanel" onstart="return isValidSubmitId();" target="saveButtonPanel"/>
			
				<!-- Update only, no new review options (may already be in review/as-is) -->
					<hx:behavior id="uniqueBehaviorId4" target="finish_submit_update" event="onclick" onActionFunction="if (isValidSubmitId()) {return checkIfVersionChanged(this, event);} else {return false;}" >
					</hx:behavior>
					<hx:commandExButton type="button"
						value="#{bundle.button_update}"
						rendered="#{submitAssetHandler.updateMode}"
						id="finish_submit_update"
						styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif">
					</hx:commandExButton>
					
				<!-- Cancel button -->
					<hx:commandExButton type="submit" value="#{bundle.button_cancel}"
						styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif" id="cancel_submit_asset"
						action="#{submitAssetHandler.doCancelAction}" >
						<hx:behavior id="bottomCancelShowBusyBehavior" event="onclick" onActionFunction="return isValidSubmitId();" />
					</hx:commandExButton>
				</div>
				<script type="text/javascript">
						validateVersion(document.getElementById('assetUploadForm:assetVersionInputText'));
				</script>
			</div>
			</div>

			<!-- Dialogs -->
			<!-- Version change Dialog -->
			<div style="left: -1000px; top: -1000px; position: absolute;">
				<hx:commandExButton id="submitCreateNewButton" styleClass="commandExButton" iconDepressed="/theme/images/transparent.gif" type="submit" value="#{bundle.button_create_new_asset}"
					action="#{submitAssetHandler.doFinishCreateNewAction}">
					<hx:behavior id="submitCreateNewButtonBehavior" event="onclick" onActionFunction="saveRelatedAssets();" />
				</hx:commandExButton>
						
				<ram:infopop id="versionDialogInfopop" image="/theme/images/icons/obj16/info_indicator.gif" 
					contextId="mody0002" styleClass="dialogInfopop" />
			</div>

			<!-- Comment Dialog -->
			
			<div style="left: -1000px; top: -1000px; position: absolute;">
				<h:inputTextarea id="commentInputTextArea" value="#{submitAssetHandler.submitAssetConfirm.updateComment}" rows="5"></h:inputTextarea>
					
				<hx:commandExButton type="submit" value="#{bundle.button_update}"
					id="finish_submit_comment_button" action="#{submitAssetHandler.doFinishAction}" >
					<hx:behavior id="finish_submit_comment_buttonBehavior" event="onclick" onActionFunction="saveRelatedAssets();" />
				</hx:commandExButton>
							
				<ram:infopop id="commentDialogInfopop" image="/theme/images/icons/obj16/info_indicator.gif" 
					contextId="mody0001" styleClass="dialogInfopop" />
			</div>
			
		</ram:form>
		

		<%@include file="../theme/footer.jspf"%>
		

	</hx:scriptCollector>
	</body>

</f:view>
</html>